# Algodynamics Graph Traversal Experiments

This repository holds the source code for Graph Traversal experiments developed as a part of algodynamics pedagogy. This project was supported by [CEMCA](https://www.cemca.org).

---

## Requirements

For development, you will only need Node.js and a node global package, Yarn, installed in your environement.

### Node

- #### Node installation on Windows

  Just go on [official Node.js website](https://nodejs.org/) and download the installer.
  Also, be sure to have `git` available in your PATH, `npm` might need it (You can find git [here](https://git-scm.com/)).

- #### Node installation on Ubuntu

  You can install nodejs and npm easily with apt install, just run the following commands.

      $ sudo apt install nodejs
      $ sudo apt install npm

- #### Other Operating Systems
  You can find more information about the installation on the [official Node.js website](https://nodejs.org/) and the [official NPM website](https://npmjs.org/).

If the installation was successful, you should be able to run the following command.

    $ node --version
    v14.15.3

    $ npm --version
    6.14.9

If you need to update `npm`, you do so after running the following command

    $ npm install npm -g

###

### Yarn installation

After installing node, this project will need yarn too, so just run the following command.

      $ npm install -g yarn

---

## Install

    $ npm install

## Simple build for production

    $ npm run build

### View Built Artefacts

    $ cd build
    $ http-server .

open browser, go to http://localhost:8080/index.html
